<script>
    import {createEventDispatcher, onMount} from "svelte"
    import { annotate, annotationGroup} from "rough-notation"

    const dispatch = createEventDispatcher()

    let e1, e2, e3, e4, e5, e6, e7, w1, e8, w2

    onMount(() => {
        const styleGreen = { type: 'underline', color: '#00c4a7' }
        const styleRed = { type: 'underline', color: '#f03a5f' }

        const a1 = annotate(e1, styleGreen)
        const a2 = annotate(e2, styleGreen)
        const a3 = annotate(e3, styleGreen)
        const a4 = annotate(e4, styleGreen)
        const a5 = annotate(e5, styleGreen)
        const a6 = annotate(e6, styleGreen)
        const a7 = annotate(e7, styleGreen)
        const a8 = annotate(w1, styleRed)
        const a9 = annotate(e8, styleGreen)
        const a10 = annotate(w2, styleRed)

        annotationGroup([a1, a2, a3, a4, a5, a6, a7, a8, a9, a10]).show()
    })
</script>

<div class="content">
    <h1 class="title">ma·ña·na</h1>

    <p>
        A <span bind:this={e1}>to-do list</span> which helps you keep track of your tasks,
        but also allows for a bit of procrastination when you've had enough.
    </p>

    <p>
        Click the button below to <span bind:this={e2}>get started</span>;
        a new to-do list will be created for you. When you create a task, it will be added to your
        <span bind:this={e3}>inbox</span>.

        You can schedule tasks for <span bind:this={e4}>today</span> or <span bind:this={e5}>tomorrow</span>
        by dragging them around, or put them off until <span bind:this={e6}>someday</span>, if you don't want
        to think about them right now.
    </p>

    <p>
        There are <span bind:this={e7}>no user accounts</span> and the website is local-first,
        which means that data is also stored locally. If you are using a <span bind:this={w1}>public computer</span>,
        make sure you delete the local data before closing the tab.
    </p>

    <p>
        To access the list <span bind:this={e8}>from another device</span>, such as your phone, click on the info button and
        scan the QR code or copy the link. Be mindful of who you share it with, as anyone who knows this address will have
        <span bind:this={w2}>full access</span> to your list.
    </p>

    <button class="button is-large is-primary mt-5" on:click={() => dispatch('createList')}>
        Get started
    </button>
</div>